Bug 735875 - BUG: unable to handle kernel paging request at 0000000008000078 in do_raw_spin_lock() TAINTED -------D
Summary: BUG: unable to handle kernel paging request at 0000000008000078 in do_raw_spi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ac40f375b4d4686ba7f132cda02...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 23:08 UTC by Dante
Modified: 2012-04-11 14:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-11 14:19:53 UTC


Attachments (Terms of Use)

Description Dante 2011-09-05 23:08:11 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        ro root=/dev/mapper/vg_dog-lv_root rd_LVM_LV=vg_dog/lv_root rd_LVM_LV=vg_dog/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us-acentos nomodeset rhgb quiet
comment:        I don't know 
component:      kernel
kernel:         2.6.38.6-26.rc1.fc15.x86_64
kernel_tainted: 128
kernel_tainted_long: Kernel has oopsed before.
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         BUG: unable to handle kernel paging request at 0000000008000078
time:           Wed Aug 17 01:09:18 2011

backtrace:
:BUG: unable to handle kernel paging request at 0000000008000078
:IP: [<ffffffff81080b76>] do_raw_spin_lock+0xe/0x25
:PGD 9ba1c067 PUD 9baf7067 PMD 0 
:Oops: 0002 [#1] SMP 
:last sysfs file: /sys/devices/system/cpu/cpu1/cache/index2/shared_cpu_map
:CPU 1 
:Modules linked in: tcp_lp fuse sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm uvcvideo videodev arc4 ath9k snd_timer v4l2_compat_ioctl32 snd mac80211 ath9k_common ath9k_hw ath cfg80211 iTCO_wdt soundcore iTCO_vendor_support atl1c snd_page_alloc microcode joydev i2c_i801 rfkill wmi ipv6 i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 30, comm: khugepaged Not tainted 2.6.38.6-26.rc1.fc15.x86_64 #1 Acer       Aspire 5732Z    /Aspire 5732Z    
:RIP: 0010:[<ffffffff81080b76>]  [<ffffffff81080b76>] do_raw_spin_lock+0xe/0x25
:RSP: 0018:ffff880133959930  EFLAGS: 00010246
:RAX: 0000000000010000 RBX: ffff880086c48d20 RCX: 0000000000000001
:RDX: 0000000000000000 RSI: ffffea00039a4578 RDI: 0000000008000078
:RBP: ffff880133959930 R08: 0000000000001000 R09: 0000000000016a4e
:R10: 0000000000016a4e R11: 00000000000169f8 R12: 0000000008000070
:R13: ffffea00038ac168 R14: 0000000000000000 R15: 0000000000000000
:FS:  0000000000000000(0000) GS:ffff8800bb680000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:CR2: 0000000008000078 CR3: 000000009bb13000 CR4: 00000000000406e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process khugepaged (pid: 30, threadinfo ffff880133958000, task ffff880136461720)
:Stack:
: ffff880133959940 ffffffff81475826 ffff880133959970 ffffffff810fc053
: ffffea00038ac168 ffffea00038ac168 0000000000000000 ffffea00039a4578
: ffff880133959a10 ffffffff8111580a ffff8801339599b0 ffffffff00000001
:Call Trace:
: [<ffffffff81475826>] _raw_spin_lock+0xe/0x10
: [<ffffffff810fc053>] __page_lock_anon_vma+0x3c/0x58
: [<ffffffff8111580a>] migrate_pages+0x1b6/0x38c
: [<ffffffff8110b8ef>] ? compaction_alloc+0x0/0x2a3
: [<ffffffff8110c0db>] compact_zone+0x3e7/0x5ca
: [<ffffffff8110c44d>] compact_zone_order+0x94/0x9f
: [<ffffffff8110c4e9>] try_to_compact_pages+0x91/0xe3
: [<ffffffff810dea80>] __alloc_pages_direct_compact+0xa7/0x16d
: [<ffffffff810defa4>] __alloc_pages_nodemask+0x45e/0x772
: [<ffffffff8110a489>] alloc_pages_vma+0xf5/0xfa
: [<ffffffff81117125>] khugepaged+0x543/0xf2d
: [<ffffffff8106f212>] ? autoremove_wake_function+0x0/0x3d
: [<ffffffff81116be2>] ? khugepaged+0x0/0xf2d
: [<ffffffff8106eb53>] kthread+0x84/0x8c
: [<ffffffff8100a9e4>] kernel_thread_helper+0x4/0x10
: [<ffffffff8106eacf>] ? kthread+0x0/0x8c
: [<ffffffff8100a9e0>] ? kernel_thread_helper+0x0/0x10
:Code: 1b 00 5d c3 55 48 89 e5 0f 1f 44 00 00 f0 81 2f 00 00 00 01 74 05 e8 da 18 1b 00 5d c3 55 48 89 e5 0f 1f 44 00 00 b8 00 00 01 00 <f0> 0f c1 07 0f b7 d0 c1 e8 10 39 c2 74 07 f3 90 0f b7 17 eb f5 
:RIP  [<ffffffff81080b76>] do_raw_spin_lock+0xe/0x25
: RSP <ffff880133959930>
:CR2: 0000000008000078

Comment 1 Josh Boyer 2011-09-26 20:58:14 UTC
Does this still happen with the 2.6.40.x updates?


Note You need to log in before you can comment on or make changes to this bug.